make_full_graph {igraph} | R Documentation

## Create a full graph

### Description

Create a full graph

### Usage

    make_full_graph(n, directed = FALSE, loops = FALSE)

    full_graph(...)

### Arguments

`n` | Number of vertices.
`directed` | Whether to create a directed graph.
`loops` | Whether to add self-loops to the graph.
`...` | Passed to `make_full_graph`.

### Value

An igraph graph

### See Also

Other determimistic constructors: `atlas`, `graph.atlas`, `graph_from_atlas`; `chordal_ring`, `graph.extended.chordal.ring`, `make_chordal_ring`; `directed_graph`, `graph`, `graph.famous`, `make_directed_graph`, `make_graph`, `make_undirected_graph`, `undirected_graph`; `empty_graph`, `graph.empty`, `make_empty_graph`; `from_edgelist`, `graph.edgelist`, `graph_from_edgelist`; `from_literal`, `graph.formula`, `graph_from_literal`; `full_citation_graph`, `graph.full.citation`, `make_full_citation_graph`; `graph.lattice`, `lattice`, `make_lattice`; `graph.ring`, `make_ring`, `ring`; `graph.star`, `make_star`, `star`; `graph.tree`, `make_tree`, `tree`

### Examples

    make_full_graph(5)
    str(make_full_graph(4, directed = TRUE))

[Package igraph version 1.0.1 Index]